function::atomic_read
Prev | Chapter 25. String and data retrieving functions Tapset | Next

## Name

function::atomic_read — Retrieves an atomic variable from kernel memory

## Synopsis

        atomic_read:long(addr:long)

## Arguments

`addr`

  pointer to atomic variable

## Description

Safely perform the read of an atomic variable.

Prev | Up | Next
function::atomic_long_read | Home | function::kernel_buffer_quoted